<?php
/************************************************************************
 * M-XChange v0.2.1                                   Start: 06/10/2005 *
 * ================                             Last change: 05/19/2008 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-list_sponsor_pay.php                        *
 * -------------------------------------------------------------------- *
 * Short description : List/edit/delete all payments and add new        *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Auflisten/Aendern/Loeschen aller Buchungspakete  *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!IS_ADMIN())) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4)."/security.php";
	require($INC);
}

// Add description as navigation point
ADD_DESCR("admin", __FILE__);

$MSG = "";

if (isset($_POST['add'])) {
	// Check input variables
	if (empty($_POST['pay_name'])) unset($_POST['add']);
	if ((round($_POST['pay_rate']) == 0) || (empty($_POST['pay_rate']))) unset($_POST['add']);
	$_POST['pay_min_count'] = bigintval($_POST['pay_min_count']);
	if (($_POST['pay_min_count'] == 0) || (empty($_POST['pay_min_count']))) unset($_POST['add']);
	if (empty($_POST['pay_currency'])) unset($_POST['add']);
} elseif ((isset($_POST['edit'])) || (isset($_POST['del'])) || (isset($_POST['change'])) || (isset($_POST['remove']))) {
	// Check if at least one entry was selected
	if (empty($_POST['id'])) {
		// Nothing selected for editing / deleting???
		unset($_POST['edit']);
		unset($_POST['del']);
		unset($_POST['change']);
		unset($_POST['remove']);
	} elseif (isset($_POST['change'])) {
		// Change entries here...
		foreach ($_POST['id'] as $id => $sel) {
			// Secure ID
			$id = bigintval($id);

			// Save entry
			SQL_QUERY_ESC("UPDATE `{!_MYSQL_PREFIX!}_sponsor_paytypes`
SET pay_name='%s', pay_rate='%s', pay_min_count='%s', pay_currency='%s' WHERE id='%s' LIMIT 1",
 array($_POST['name'][$id], $_POST['rate'][$id], bigintval($_POST['min'][$id]), $_POST['curr'][$id], $id),
 __FILE__, __LINE__);
		}

		// Generate message
		$MSG = SPONSOR_PAY_ENTRIES_CHANGED;
	} elseif (isset($_POST['remove'])) {
		// Remove entries here...
		foreach ($_POST['id'] as $id => $sel) {
			// Remove entry
			SQL_QUERY_ESC("DELETE LOW_PRIORITY FROM `{!_MYSQL_PREFIX!}_sponsor_paytypes` WHERE id='%s' LIMIT 1",
				array(bigintval($id)), __FILE__, __LINE__);
		}

		// Generate message
		$MSG = SPONSOR_PAY_ENTRIES_REMOVED;
	}

	if (!empty($MSG)) {
		// Output message
		LOAD_TEMPLATE("admin_settings_saved", false, $MSG);
	}
}

if (isset($_POST['add'])) {
	// Check if entry with same name does exists
	$result = SQL_QUERY_ESC("SELECT id FROM `{!_MYSQL_PREFIX!}_sponsor_paytypes` WHERE pay_name='%s' LIMIT 1",
	 array($_POST['pay_name']), __FILE__, __LINE__);
	if (SQL_NUMROWS($result) == 0) {
		// No entry found so add this line
		SQL_QUERY_ESC("INSERT INTO `{!_MYSQL_PREFIX!}_sponsor_paytypes` (pay_name, pay_rate, pay_min_count, pay_currency)
 VALUES ('%s','%s','%s','%s')",
 array(htmlspecialchars($_POST['pay_name']), REVERT_COMMA($_POST['pay_rate']), bigintval($_POST['pay_min_count']), htmlspecialchars($_POST['pay_currency'])),
 __FILE__, __LINE__);

		// Payment type added!
		$MSG = ADMIN_SPONSOR_PAYTYPE_ADDED_1.$_POST['pay_name'].ADMIN_SPONSOR_PAYTYPE_ADDED_2;
	} else {
		// Free memory
		SQL_FREERESULT($result);

		// Entry does already exists
		$MSG = ADMIN_SPONSOR_PAYTYPE_ALREADY_1.$_POST['pay_name'].ADMIN_SPONSOR_PAYTYPE_ALREADY_2;
	}

	// Output message
	LOAD_TEMPLATE("admin_settings_saved", false, $MSG);
} elseif ((isset($_POST['edit'])) || (isset($_POST['del']))) {
	// Load all data
	$OUT = ""; $SW = 2;
	foreach ($_POST['id'] as $id => $sel) {
		// Load entry
		$result = SQL_QUERY_ESC("SELECT pay_name, pay_rate, pay_min_count, pay_currency FROM `{!_MYSQL_PREFIX!}_sponsor_paytypes` WHERE id='%s' LIMIT 1",
		 array(bigintval($id)), __FILE__, __LINE__);
		if (SQL_NUMROWS($result) == 1) {
			// Load data
			list($name, $rate, $min, $curr) = SQL_FETCHROW($result);
			SQL_FREERESULT($result);

			// Transfer data to array
			$content = array(
				'id'   => bigintval($id),
				'sw'   => bigintval($SW),
				'name' => htmlspecialchars($name),
				'rate' => TRANSLATE_COMMA($rate),
				'min'  => bigintval($min),
				'curr' => htmlspecialchars($curr)
			);

			if (isset($_POST['edit'])) {
				// Edit entry
				$OUT .= LOAD_TEMPLATE("admin_list_sponsor_pay_edit_row", true, $content);
			} else {
				// Delete entry
				$OUT .= LOAD_TEMPLATE("admin_list_sponsor_pay_del_row", true, $content);
			}
		} else {
			// Entry invalid
			$OUT .= LOAD_TEMPLATE("admin_list_sponsor_pay_404", true, $id);
		}

		// Switch colors
		$SW = 3 - $SW;
	}

	// Remember content in constant
	define('__SPONSOR_ROWS', $OUT);

	// Load main template depending on mode (edit/delete)
	if (isset($_POST['edit'])) {
		// Load main edit template
		LOAD_TEMPLATE("admin_list_sponsor_pay_edit");
	} else {
		// Load main delete template
		LOAD_TEMPLATE("admin_list_sponsor_pay_del");
	}
} else {
	// Load all payment types
	$result = SQL_QUERY("SELECT id, pay_name, pay_rate, pay_min_count, pay_currency FROM `{!_MYSQL_PREFIX!}_sponsor_paytypes` ORDER BY pay_name",
	 __FILE__, __LINE__);

	// Do we have some paytypes setup?
	if (SQL_NUMROWS($result) > 0) {
		// Prepare variables for listing
		$SW = 2; $OUT = "";

		// List alle found payment types
		while (list($id, $name, $rate, $min, $currency) = SQL_FETCHROW($result)) {
			// Remember data in array
			$content = array(
				'sw'       => $SW,
				'id'       => $id,
				'name'     => $name,
				'rate'     => TRANSLATE_COMMA($rate),
				'min'      => $min,
				'currency' => $currency
			);

			// Add row
			$OUT .= LOAD_TEMPLATE("admin_list_sponsor_pay_row", true, $content);

			// Switch colors
			$SW = 3 - $SW;
		}

		// Free memory
		SQL_FREERESULT($result);

		// Remember rows in constant for the template
		define('__LIST_ROWS', $OUT);

		// Load list template
		define('__LIST_CONTENT', LOAD_TEMPLATE("admin_list_sponsor_pay", true));
	} else {
		// Noting setup so far!
		define('__LIST_CONTENT', LOAD_TEMPLATE("admin_settings_saved", true, ADMIN_SPONSOR_NO_PAYTYPES));
	}

	// Add new payment types here
	define('__ADD_CONTENT', LOAD_TEMPLATE("admin_add_sponsor_paytype", true));

	// Load final template
	LOAD_TEMPLATE("admin_sponsor_paytypes");
}

//
?>
