<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 10/11/2005 *
 * ===============                              Last change: 05/19/2008 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : settings.php                                     *
 * -------------------------------------------------------------------- *
 * Short description : Sponsor can manage his settings                  *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Der Sponsor kann seine Einstellungen aendern     *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software. You can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License.       *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4)."/security.php";
	require($INC);
} elseif ((!EXT_IS_ACTIVE("sponsor"))
	addFatalMessage(getMessage('EXTENSION_PROBLEM_EXT_INACTIVE'), "sponsor");
	return;
} elseif (!IS_SPONSOR()) {
	// No sponsor!
	addFatalMessage(getMessage('SPONSOR_ONLY_AREA_ENTERED'));
	return;
}

// Data for the formular
$result = SQL_QUERY_ESC("SELECT status, receive_warnings, warning_interval, email, surname, family, gender
FROM `{!_MYSQL_PREFIX!}_sponsor_data`
WHERE id='%s' AND password='%s' LIMIT 1",
 array(bigintval(get_session('sponsorid')), get_session('sponsorpass')), __FILE__, __LINE__);
if (SQL_NUMROWS($result) == 1) {
	// Load sponsor data
	$content = SQL_FETCHARRAY($result);
	if ($content['status'] == "CONFIRMED") {
		// Check if form was submitted or not
		if (!empty($_POST['ok'])) {
			// Check passwords
			if (empty($_POST['password'])) {
				// No current password entered
				$MSG = SPONSOR_NO_CURRENT_PASSWORD_ENTERED;
			} elseif (md5($_POST['password']) != get_session('sponsorpass')) {
				// Entered password didn't match password in DB
				$MSG = SPONSOR_CURRENT_PASSWORD_DIDNOT_MATCH_DB;
			} else {
				// Unsecure data which we don't want here
				$UNSAFE = array('company', 'position', 'tax_ident', 'gender', 'surname', 'family',
				                'street_nr1', 'street_nr2', 'zip', 'city', 'country', 'phone', 'fax', 'cell',
				                'email', 'url');

				// Remove all (maybe spoofed) unsafe data from array
				foreach ($UNSAFE as $remove) {
					unset($_POST[$remove]);
				}

				// Set last change timestamp
				$_POST['last_change'] = time();

				// Save data
				$MSG = SPONSOR_SAVE_DATA($_POST, $content);
			}

			if (!empty($MSG)) {
				// Output message
				$OUT = LOAD_TEMPLATE("admin_settings_saved", true, $MSG);
			} else {
				// No message generated
				$OUT = LOAD_TEMPLATE("admin_settings_saved", true, SPONSOR_NO_MESSAGE_GENERATED);
			}
		} else {
			// Make yes/no selection
			switch ($content['receive_warnings']) {
				case "Y":
					define('__YES', " checked=\"checked\"");
					define('__NO', "");
					break;

				case "N":
					define('__YES', "");
					define('__NO', " checked=\"checked\"");
					break;
			}

			// Translate current interval into fancy string
			define('__CURRENT', CREATE_FANCY_TIME($content['warning_interval']));

			// Output formular
			$OUT = LOAD_TEMPLATE("sponsor_settings_form", true, $content);
		}
	} else {
		// Locked or so?
		$STATUS = SPONSOR_TRANSLATE_STATUS($content['status']);
		$OUT = LOAD_TEMPLATE("admin_settings_saved", true, SPONSOR_ACCOUNT_FAILED_1.$STATUS.SPONSOR_ACCOUNT_FAILED_2);
	}
} else {
	// Sponsor account not found!
	$OUT = LOAD_TEMPLATE("admin_settings_saved", true, sprintf(getMessage('SPONSOR_ACCOUNT_404'), get_session('sponsorid')));
}

// Free memory
SQL_FREERESULT($result);

//
?>
